PUT
/api/Merchants/{id}
const url = 'https://example.com/api/Merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","name":"example","description":"example","contactEmail":"hello@example.com","contactPhone":"example","country":"example","timeZone":"example","isActive":true,"gatewayUsername":"example","gatewayPassword":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/Merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "contactEmail": "hello@example.com", "contactPhone": "example", "country": "example", "timeZone": "example", "isActive": true, "gatewayUsername": "example", "gatewayPassword": "example" }'Updates the merchant’s profile, status, and payment gateway credentials. Gateway credential fields are write-only. Leave them null to keep the existing values.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
The merchant’s unique identifier.
Request Body
Section titled “Request Body ”Updated merchant data.
object
id
string format: uuid
name
required
string
description
string
contactEmail
string format: email
contactPhone
string
country
string
timeZone
string
isActive
boolean
gatewayUsername
string
gatewayPassword
string
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "contactEmail": "hello@example.com", "contactPhone": "example", "country": "example", "timeZone": "example", "isActive": true, "gatewayUsername": "example", "gatewayPassword": "example"}object
id
string format: uuid
name
required
string
description
string
contactEmail
string format: email
contactPhone
string
country
string
timeZone
string
isActive
boolean
gatewayUsername
string
gatewayPassword
string
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "contactEmail": "hello@example.com", "contactPhone": "example", "country": "example", "timeZone": "example", "isActive": true, "gatewayUsername": "example", "gatewayPassword": "example"}object
id
string format: uuid
name
required
string
description
string
contactEmail
string format: email
contactPhone
string
country
string
timeZone
string
isActive
boolean
gatewayUsername
string
gatewayPassword
string
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "contactEmail": "hello@example.com", "contactPhone": "example", "country": "example", "timeZone": "example", "isActive": true, "gatewayUsername": "example", "gatewayPassword": "example"}Responses
Section titled “ Responses ”Merchant updated successfully.
Media type application/json
object
id
string format: uuid
name
string
description
string
contactEmail
string
contactPhone
string
country
string
timeZone
string
isActive
boolean
gatewayConfigured
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "contactEmail": "example", "contactPhone": "example", "country": "example", "timeZone": "example", "isActive": true, "gatewayConfigured": true, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z"}Validation failed — check the errors object.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Forbidden
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}No merchant with the given ID exists.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}